"use strict";

var _recompose = require("recompose");

var _globalDataReductions = require("./global-data-reductions");

test('globalDataSetReduction', function () {
  var s = {
    foo: 'foo'
  };
  expect((0, _globalDataReductions.globalDataSetReduction)({
    bar: 'bar'
  })(s)).toEqual({
    foo: 'foo',
    bar: 'bar'
  });
  expect((0, _recompose.compose)((0, _globalDataReductions.globalDataSetReduction)({
    bar: 'bar'
  }))(s)).toEqual({
    foo: 'foo',
    bar: 'bar'
  });
});
test('globalDataDeleteReduction', function () {
  var s = {
    foo: 'foo',
    bar: 'bar'
  };
  expect((0, _globalDataReductions.globalDataDeleteReduction)('bar')(s)).toEqual({
    foo: 'foo'
  });
  expect((0, _recompose.compose)((0, _globalDataReductions.globalDataDeleteReduction)('bar'))(s)).toEqual({
    foo: 'foo'
  });
});