"use strict";

var _recompose = require("recompose");

var _pageDataReductions = require("./page-data-reductions");

test('pageDataAddReductionFromDataProp', function () {
  expect((0, _pageDataReductions.pageDataAddReductionFromDataProp)({
    data: {
      a: 'a'
    }
  })({})).toEqual({
    a: 'a'
  });
});
test('pageDataAddInvalidFieldsReduction', function () {
  expect((0, _pageDataReductions.pageDataAddInvalidFieldsReduction)({
    a: 'a'
  })({})).toEqual({
    invalidFields: {
      a: 'a'
    }
  });
});
test('pageDataDeleteReduction', function () {
  var s = {
    foo: 'foo',
    bar: 'bar'
  };
  expect((0, _pageDataReductions.pageDataDeleteReduction)('foo')(s)).toEqual({
    bar: 'bar'
  });
  expect((0, _recompose.compose)((0, _pageDataReductions.pageDataDeleteReduction)('foo'))(s)).toEqual({
    bar: 'bar'
  });
});
test('pageDataClearReduction', function () {
  var s = {
    foo: 'foo'
  };
  expect((0, _pageDataReductions.pageDataClearReduction)()(s)).toEqual({});
  expect((0, _recompose.compose)((0, _pageDataReductions.pageDataClearReduction)())(s)).toEqual({});
});